#version 300 es
precision highp float;

uniform sampler2D s_diffuse;
uniform sampler2D s_transparent;

in vec2 uv0;

layout(location=0) out vec4 fragColor;

float luminance(vec4 color)
{
    return color.r * 0.212671 + color.g * 0.715160 + color.b * 0.072169;
}

void main(void)
{
    vec4 color = texture(s_diffuse, uv0);
    vec4 trans = texture(s_transparent, uv0);
    float alpha = luminance(trans);
    if (alpha >= 0.1) 
    {
        fragColor = color;
    } else {
        discard;
    }
}