#version 300 es
#define JOINT_MAX 32

precision highp float;

layout(location=0) in vec4 position;
layout(location=1) in vec2 uv;
layout(location=2) in vec4 jointIndices;
layout(location=3) in vec4 jointWeights;
layout(location=4) in vec3 normal;

uniform mat4 MVPMatrix;
uniform mat4 JMs[JOINT_MAX];

out vec2 uv0;

void main(void)
{
    ivec4 indices = ivec4(jointIndices);
    mat4 t = JMs[indices[0]] * jointWeights[0];
    t += JMs[indices[1]] * jointWeights[1];
    t += JMs[indices[2]] * jointWeights[2];
    t += JMs[indices[3]] * (1.0 - jointWeights[0] - jointWeights[1] - jointWeights[2]);
    vec4 posePos = t * position;
    gl_Position = MVPMatrix * posePos;
    uv0 = uv;
}