#version 400
precision highp float;

in vec2 uv0;
uniform sampler2D u_albedo;
uniform sampler2D u_opacity;
layout(location=0) out vec4 fragColor;

float luminance(vec4 color)
{
    return color.r * 0.212671 + color.g * 0.715160 + color.b * 0.072169;
}

void main(void) 
{
    vec4 color = texture(u_albedo, uv0);
    vec4 trans = texture(u_opacity, uv0);
    float alpha = luminance(trans);
    if (alpha >= 0.1) {
        fragColor = color;
    } else {
        discard;
    }
}