#define JOINT_MAX 48
precision highp float;

attribute vec4 position;
attribute vec2 uv;
attribute vec4 jointIndices;
attribute vec4 jointWeights;
attribute vec3 normal;

uniform mat4 MVPMatrix;
uniform mat4 JMs[JOINT_MAX];

varying vec2 uv0;

void main(void)
{
    ivec4 indices = ivec4(jointIndices);
    mat4 t = JMs[indices[0]] * jointWeights[0];
    t += JMs[indices[1]] * jointWeights[1];
    t += JMs[indices[2]] * jointWeights[2];
    t += JMs[indices[3]] * (1.0 - jointWeights[0] - jointWeights[1] - jointWeights[2]);
    vec4 posePos = t * position;
    gl_Position = MVPMatrix * posePos;
    uv0 = uv;
}